org.modeshape.common.collection

## Class AbstractMultimap.WrappedKeySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<K>
    - - org.modeshape.common.collection.AbstractMultimap.WrappedKeySet

- All Implemented Interfaces:
    Iterable<K>, Collection<K>, Set<K>
  Direct Known Subclasses:
    AbstractMultimap.WrappedSortedKeySet
  Enclosing class:
    AbstractMultimap<K,V>

      protected class AbstractMultimap.WrappedKeySet
      extends AbstractSet<K>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMultimap.WrappedKeySet(Map<K,Collection<V>> wrapped)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `contains(Object o)`
    `boolean` | `containsAll(Collection<?> c)`
    `Iterator<K>` | `iterator()`
    `boolean` | `remove(Object o)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, isEmpty, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, isEmpty, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### AbstractMultimap.WrappedKeySet

          protected AbstractMultimap.WrappedKeySet(Map<K,Collection<V>> wrapped)

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<K>`
      Specified by:
        `size` in interface `Set<K>`
      Specified by:
        `size` in class `AbstractCollection<K>`
      See Also:
        `AbstractCollection.size()`

    - #### remove

          public boolean remove(Object o)

      Specified by:
        `remove` in interface `Collection<K>`
      Specified by:
        `remove` in interface `Set<K>`
      Overrides:
        `remove` in class `AbstractCollection<K>`
      See Also:
        `AbstractCollection.remove(java.lang.Object)`

    - #### contains

          public boolean contains(Object o)

      Specified by:
        `contains` in interface `Collection<K>`
      Specified by:
        `contains` in interface `Set<K>`
      Overrides:
        `contains` in class `AbstractCollection<K>`
      See Also:
        `AbstractCollection.contains(java.lang.Object)`

    - #### containsAll

          public boolean containsAll(Collection<?> c)

      Specified by:
        `containsAll` in interface `Collection<K>`
      Specified by:
        `containsAll` in interface `Set<K>`
      Overrides:
        `containsAll` in class `AbstractCollection<K>`
      See Also:
        `AbstractCollection.containsAll(java.util.Collection)`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<K>`
      Specified by:
        `clear` in interface `Set<K>`
      Overrides:
        `clear` in class `AbstractCollection<K>`
      See Also:
        `AbstractCollection.clear()`

    - #### iterator

          public Iterator<K> iterator()

      Specified by:
        `iterator` in interface `Iterable<K>`
      Specified by:
        `iterator` in interface `Collection<K>`
      Specified by:
        `iterator` in interface `Set<K>`
      Specified by:
        `iterator` in class `AbstractCollection<K>`
      See Also:
        `AbstractCollection.iterator()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.